#2617 closed defect (fixed)

rtems_heap_allocate_aligned_with_boundary() body and prototype inconsistent

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The first parameter is size_t in the .h and uintptr_t in the body. This resulted in a compiler error on the m32c. But it is an inconsistency which should be fixed even if no architecture complained.

The malloc.h header file has this:

void *rtems_heap_allocate_aligned_with_boundary(

size_t size,
uintptr_t alignment,
uintptr_t boundary

);

malloc_deferred.c has this:

void *rtems_heap_allocate_aligned_with_boundary(

uintptr_t size,
uintptr_t alignment,
uintptr_t boundary

)

Change History (3)

comment:1 Changed on Mar 1, 2016 at 6:36:06 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 75518fb78240dbab92fc9d959765639afb32a457/rtems:

malloc: Fix function definition

Close #2617.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.